<?php

use App\Exercise;
use App\ExerciseType;
use App\Repositories\EquipmentRepository;
use App\Repositories\ExerciseRepository;
use App\Repositories\ExerciseTypeRepository;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ExercisesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //factory(App\Exercise::class, 50)->create();

        $string = file_get_contents(__DIR__ . "/../../utils/exercicis.sql");
        foreach(explode("\n", $string) as $statement) {
            if(!empty($statement)) {
                try {
                    DB::statement($statement);
                }
                catch(Exception $e) { echo "Hi ha hagut un error: " . $e->getMessage() . "\n"; }
            }
        }

        $string = file_get_contents(__DIR__ . "/../../utils/excercise_types.sql");
        foreach(explode("\n", $string) as $statement) {
            if(!empty($statement)) {
                try {
                    DB::statement($statement);
                }
                catch(Exception $e) { echo "Hi ha hagut un error: " . $e->getMessage() . "\n"; }
            }
        }

        ExerciseRepository::findByName('Run')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Burpee')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Push-Ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Kettlebell Swing')->exercise_types()->attach(ExerciseTypeRepository::findByName('Swing')->id);
        ExerciseRepository::findByName('Deadlift')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Row')->exercise_types()->attach(ExerciseTypeRepository::findByName('Row')->id);
        ExerciseRepository::findByName('Double Unders Jump Rope')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jump Rope')->id);
        ExerciseRepository::findByName('Box Jump')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Sit-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Rest')->exercise_types()->attach(ExerciseTypeRepository::findByName('Rest')->id);
        ExerciseRepository::findByName('Air Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Wall Ball')->exercise_types()->attach(ExerciseTypeRepository::findByName('Throw')->id);
        ExerciseRepository::findByName('Thruster')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('Toes-to-bar')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Handstand Push-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Back Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Push Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Push Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Overhead Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Front Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Walking Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Walking Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Jump Rope Single')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jump Rope')->id);
        ExerciseRepository::findByName('Clean and Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Clean and Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Ring Muscle-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Muscle-up')->id);
        ExerciseRepository::findByName('Power Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('GHD Sit-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Sumo Deadlift High Pull')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Ring Dip')->exercise_types()->attach(ExerciseTypeRepository::findByName('Dip')->id);
        ExerciseRepository::findByName('Bench press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Knees to Elbows')->exercise_types()->attach(ExerciseTypeRepository::findByName('Curl')->id);
        ExerciseRepository::findByName('Push Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Push Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Strict Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Bar Dip')->exercise_types()->attach(ExerciseTypeRepository::findByName('Dip')->id);
        ExerciseRepository::findByName('Kettlebell Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Pistol Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Rope Climb')->exercise_types()->attach(ExerciseTypeRepository::findByName('Climb')->id);
        ExerciseRepository::findByName('Chest-To-Bar Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Power Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Hang Power Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Hand Release Push-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Burpee Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Burpee Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Farmers walk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Squat Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Sprint')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Handstand Walk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Jumping Jack')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Ball Slams')->exercise_types()->attach(ExerciseTypeRepository::findByName('Throw')->id);
        ExerciseRepository::findByName('Shoulder Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Sit-up abmat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Burpee Box Jump Overs')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Burpee Box Jump Overs')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Burpee Bar-Facing')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Burpee Bar-Facing')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Plank')->exercise_types()->attach(ExerciseTypeRepository::findByName('Static')->id);
        ExerciseRepository::findByName('Bar Muscle-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Muscle-up')->id);
        ExerciseRepository::findByName('Weighted Lunges')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Dumbbell Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Squat Jumps')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Squat Jumps')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Bicycling')->exercise_types()->attach(ExerciseTypeRepository::findByName('Bike')->id);
        ExerciseRepository::findByName('Strict Handstand Push-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Dumbbell Thruster')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('Kipping Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Overhead Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Back Extensions')->exercise_types()->attach(ExerciseTypeRepository::findByName('Hyperextension')->id);
        ExerciseRepository::findByName('V Ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Kettlebell Clean and Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Kettlebell Clean and Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Mountain Climber')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Hang Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Goblet Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Dumbbell Power Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Dumbbell Push Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Dumbbell Push Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Alternating Kettlebell Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Shoulder to Overhead-FS2OH')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Shoulder to Overhead-FS2OH')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Shoulder to Overhead-FS2OH')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Weighted Pull-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Shuttle Sprint')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Ring Push-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Back Extension GHD')->exercise_types()->attach(ExerciseTypeRepository::findByName('Hyperextension')->id);
        ExerciseRepository::findByName('Deficit Handstand Push-Ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Assault Air Bike')->exercise_types()->attach(ExerciseTypeRepository::findByName('Bike')->id);
        ExerciseRepository::findByName('Sandbag Carry')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Hang Power Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Swim')->exercise_types()->attach(ExerciseTypeRepository::findByName('Swimming')->id);
        ExerciseRepository::findByName('Tire Flip')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Bent Barbell Row')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Kettlebell Goblet Thruster')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('Muscle-up Strict')->exercise_types()->attach(ExerciseTypeRepository::findByName('Muscle-up')->id);
        ExerciseRepository::findByName('L-Sit Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('L-Sit Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('L-Sit Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Static')->id);
        ExerciseRepository::findByName('Standing Broad Jump')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Box Jump Overs')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Double Kettlebells Thrusters')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('Kettlebell Sumo Deadlift High Pull')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Front Rack Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('One Leg Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Leg Raises')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Atlas Stone Ground to Shoulder')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Dumbbell Hang Clean and Jerks')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Dumbbell Hang Clean and Jerks')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Weighted Sit-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Rope Climb Legless')->exercise_types()->attach(ExerciseTypeRepository::findByName('Climb')->id);
        ExerciseRepository::findByName('Crunch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Man Maker')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Chin-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Wall Climb')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Clapping Push-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('One Arm Kettlebell Row')->exercise_types()->attach(ExerciseTypeRepository::findByName('Row')->id);
        ExerciseRepository::findByName('Weighted run')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Double Kettlebell Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Parallette Handstand push-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Medicine-Ball Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Alternating dumbbell snatches')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Muscle Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Body row')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Power Clean and Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Ring Row')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Dumbbell Deadlifts')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Squat Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Squat Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Lateral Burpees')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Lateral hops')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Ring L-Sit')->exercise_types()->attach(ExerciseTypeRepository::findByName('Static')->id);
        ExerciseRepository::findByName('Jumping Pull-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Jumping Pull-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Double Kettlebell Deadlift')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Kettlebell Sumo Deadlift')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Dumbbell Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Dumbbell Burpee Deadlifts')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Hang Squat Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Single-arm Dumbbell Overhead Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Cluster')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('Double Kettlebell Swing')->exercise_types()->attach(ExerciseTypeRepository::findByName('Swing')->id);
        ExerciseRepository::findByName('Yoke Carry')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Dumbbell Push Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Dumbbell Push Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Ring Pull Ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Dumbbell Hang Squat Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Burpee Bar Muscle-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Burpee Bar Muscle-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Muscle-up')->id);
        ExerciseRepository::findByName('Push Jerk Behind the Head')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Push Jerk Behind the Head')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Box Step Ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Hang Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Dumbbell Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Dumbbell squats')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Sumo Deadlift')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Kipping Bar Muscle-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Muscle-up')->id);
        ExerciseRepository::findByName('Inverted Burpee')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Star jump')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Tuck jump')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Dumbbell Squat Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Burpee Muscle-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Burpee Muscle-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Muscle-up')->id);
        ExerciseRepository::findByName('Single-arm Dumbbell Overhead Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Dumbbell Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Ring Hand Stand Push Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Renegade Row')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Kettlebell High Pull')->exercise_types()->attach(ExerciseTypeRepository::findByName('Swing')->id);
        ExerciseRepository::findByName('One arm Kettlebell Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Weighted Bar Dips')->exercise_types()->attach(ExerciseTypeRepository::findByName('Dip')->id);
        ExerciseRepository::findByName('Floor Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Muscle Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Strict Ring Dip')->exercise_types()->attach(ExerciseTypeRepository::findByName('Dip')->id);
        ExerciseRepository::findByName('Floor Wipers')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Alternating Kettlebell Shoulder Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Dumbbell Squat Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Overhead Walk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Ring Chest Fly')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Lateral jump over barbell')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Jumping Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Hollow Rock')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Stiff-Legged Deadlift')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('One Arm Kettlebell Thruster')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('Clean To Overhead Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Clean To Overhead Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Two Arm KettleBell Row')->exercise_types()->attach(ExerciseTypeRepository::findByName('Row')->id);
        ExerciseRepository::findByName('Split Squat')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Toes-to-rings')->exercise_types()->attach(ExerciseTypeRepository::findByName('Curl')->id);
        ExerciseRepository::findByName('Atlas Stone Carry')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Right-arm Overhead Walking Lunges')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Kipping Chest-To-Bar Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Snatch Balance')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('XPO Trainer Sled Push')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Dumbbell box step-ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Kipping Hanstand Push-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Sled Drag')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Hang Squat Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Back Flip')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Dumbbell Power Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Triple-Unders')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jump Rope')->id);
        ExerciseRepository::findByName('Left-arm Overhead Walking Lunges')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Dumbbell Waiters Walk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Axle Deadlift')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Alternating floor press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Dumbbell Hang Split Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Tire Throw')->exercise_types()->attach(ExerciseTypeRepository::findByName('Throw')->id);
        ExerciseRepository::findByName('Sled Push')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Sled Push')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Dip Bar L-Sit')->exercise_types()->attach(ExerciseTypeRepository::findByName('Static')->id);
        ExerciseRepository::findByName('Split Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Pegboard Ascents')->exercise_types()->attach(ExerciseTypeRepository::findByName('Climb')->id);
        ExerciseRepository::findByName('Clean Pull')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Backward Run')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Atlas Stone Over')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Rescue Randy Drag')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Handstand Ring Push-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Right Arm Dumbbell Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Snatch Pull')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Towel Pull-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Buddy Carry')->exercise_types()->attach(ExerciseTypeRepository::findByName('Run')->id);
        ExerciseRepository::findByName('Left Arm Dumbbell Snatch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Freestanding Handstand Push-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Clean Extension')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Curtis Ps')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Curtis Ps')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Curtis Ps')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('L-Sit Rope Climb')->exercise_types()->attach(ExerciseTypeRepository::findByName('Climb')->id);
        ExerciseRepository::findByName('Axel Thruster')->exercise_types()->attach(ExerciseTypeRepository::findByName('Thruster')->id);
        ExerciseRepository::findByName('Dumbbell Split Clean')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Truck Push')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push')->id);
        ExerciseRepository::findByName('Jumping Chest To Bar Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);
        ExerciseRepository::findByName('Jumping Chest To Bar Pull-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Paddle')->exercise_types()->attach(ExerciseTypeRepository::findByName('Swimming')->id);
        ExerciseRepository::findByName('Squat Jerk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Rack Pulls')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Barbell Sit-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Prowler push')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Prowler push')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Pressing Snatch Balance')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Pressing Snatch Balance')->exercise_types()->attach(ExerciseTypeRepository::findByName('Snatch')->id);
        ExerciseRepository::findByName('Atlas Stone Lunges')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('XPO Trainer Sled Drag')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Log Clean Press')->exercise_types()->attach(ExerciseTypeRepository::findByName('Strongman')->id);
        ExerciseRepository::findByName('Duck Walk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Walking')->id);
        ExerciseRepository::findByName('Duck Walk')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Good Morning')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Leg Elevations')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Wall Sit')->exercise_types()->attach(ExerciseTypeRepository::findByName('Static')->id);
        ExerciseRepository::findByName('Tuck Ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Hollow Hold')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Lateral Plank')->exercise_types()->attach(ExerciseTypeRepository::findByName('Static')->id);
        ExerciseRepository::findByName('Lateral Plank')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Romanian Deadlift')->exercise_types()->attach(ExerciseTypeRepository::findByName('Deadlift')->id);
        ExerciseRepository::findByName('Plank to High Plank')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Russian Baby Maker')->exercise_types()->attach(ExerciseTypeRepository::findByName('Squat')->id);
        ExerciseRepository::findByName('Russian Twist')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Plank Three Support')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Pike Push Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Sprawl')->exercise_types()->attach(ExerciseTypeRepository::findByName('Burpee')->id);
        ExerciseRepository::findByName('Reverse Crunch')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Alternate V Ups')->exercise_types()->attach(ExerciseTypeRepository::findByName('Abdominal')->id);
        ExerciseRepository::findByName('Triceps Dips')->exercise_types()->attach(ExerciseTypeRepository::findByName('Dip')->id);
        ExerciseRepository::findByName('Incline Box')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Bench Push-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Push-up')->id);
        ExerciseRepository::findByName('Ground to Overhead')->exercise_types()->attach(ExerciseTypeRepository::findByName('Cleans')->id);
        ExerciseRepository::findByName('Ground to Overhead')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jerk')->id);
        ExerciseRepository::findByName('Ground to Overhead')->exercise_types()->attach(ExerciseTypeRepository::findByName('Presses')->id);
        ExerciseRepository::findByName('Hanging Knee Raise')->exercise_types()->attach(ExerciseTypeRepository::findByName('Pull-up')->id);
        ExerciseRepository::findByName('Hanging Knee Raise')->exercise_types()->attach(ExerciseTypeRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Medicine-Ball Step-Up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Dumbbell Front Rack Lunge')->exercise_types()->attach(ExerciseTypeRepository::findByName('Lunges')->id);
        ExerciseRepository::findByName('Jumping Chin-up')->exercise_types()->attach(ExerciseTypeRepository::findByName('Jumps')->id);

        $string = file_get_contents(__DIR__ . "/../../utils/equipment.sql");
        foreach(explode("\n", $string) as $statement) {
            if(!empty($statement)) {
                try {
                    DB::statement($statement);
                }
                catch(Exception $e) { echo "Hi ha hagut un error: " . $e->getMessage() . "\n"; }
            }
        }

        ExerciseRepository::findByName('Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Kettlebell Swing')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Deadlift')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Deadlift')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Row')->equipment()->attach(EquipmentRepository::findByName('Rower')->id);
        ExerciseRepository::findByName('Double Unders Jump Rope')->equipment()->attach(EquipmentRepository::findByName('Skipping rope')->id);
        ExerciseRepository::findByName('Box Jump')->equipment()->attach(EquipmentRepository::findByName('Box jumps')->id);
        ExerciseRepository::findByName('Wall Ball')->equipment()->attach(EquipmentRepository::findByName('Medicine Ball')->id);
        ExerciseRepository::findByName('Thruster')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Thruster')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Toes-to-bar')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Back Squat')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Push Press')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Push Press')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Overhead Squat')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Front Squat')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Front Squat')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Jump Rope Single')->equipment()->attach(EquipmentRepository::findByName('Skipping rope')->id);
        ExerciseRepository::findByName('Clean and Jerk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Clean and Jerk')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Ring Muscle-up')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Ring Muscle-up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Power Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Power Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('GHD Sit-up')->equipment()->attach(EquipmentRepository::findByName('GHD')->id);
        ExerciseRepository::findByName('Sumo Deadlift High Pull')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Sumo Deadlift High Pull')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Ring Dip')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Bench press')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Bench press')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Bench press')->equipment()->attach(EquipmentRepository::findByName('Bench')->id);
        ExerciseRepository::findByName('Bench press')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Knees to Elbows')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Knees to Elbows')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Push Jerk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Strict Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Parallel bars')->id);
        ExerciseRepository::findByName('Strict Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Kettlebell Snatch')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Rope Climb')->equipment()->attach(EquipmentRepository::findByName('Climbing rope')->id);
        ExerciseRepository::findByName('Chest-To-Bar Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Chest-To-Bar Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Power Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Power Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Hang Power Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Hang Power Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Burpee Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Burpee Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Farmers walk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Farmers walk')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Squat Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Squat Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Ball Slams')->equipment()->attach(EquipmentRepository::findByName('Medicine Ball')->id);
        ExerciseRepository::findByName('Shoulder Press')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Burpee Box Jump Overs')->equipment()->attach(EquipmentRepository::findByName('Box jumps')->id);
        ExerciseRepository::findByName('Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Burpee Bar-Facing')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Burpee Bar-Facing')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Bar Muscle-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Bar Muscle-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Weighted Lunges')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Dumbbell Snatch')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Bicycling')->equipment()->attach(EquipmentRepository::findByName('Bicycle')->id);
        ExerciseRepository::findByName('Dumbbell Thruster')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Kipping Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Kipping Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Overhead Lunge')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Overhead Lunge')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Kettlebell Clean and Jerk')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Hang Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Hang Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Turkish Get-Up')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Goblet Squat')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Dumbbell Power Snatch')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Dumbbell Push Press')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Alternating Kettlebell Snatch')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Shoulder to Overhead-FS2OH')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Ring Push-up')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Back Extension GHD')->equipment()->attach(EquipmentRepository::findByName('GHD')->id);
        ExerciseRepository::findByName('Deficit Handstand Push-Ups')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Deficit Handstand Push-Ups')->equipment()->attach(EquipmentRepository::findByName('Parallettes')->id);
        ExerciseRepository::findByName('Assault Air Bike')->equipment()->attach(EquipmentRepository::findByName('Bicycle')->id);
        ExerciseRepository::findByName('Sandbag Carry')->equipment()->attach(EquipmentRepository::findByName('SandBag')->id);
        ExerciseRepository::findByName('Hang Power Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Hang Power Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Swim')->equipment()->attach(EquipmentRepository::findByName('Swimming Pool')->id);
        ExerciseRepository::findByName('Tire Flip')->equipment()->attach(EquipmentRepository::findByName('Tire')->id);
        ExerciseRepository::findByName('Bent Barbell Row')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Kettlebell Goblet Thruster')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Muscle-up Strict')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('L-Sit Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('L-Sit Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Box Jump Overs')->equipment()->attach(EquipmentRepository::findByName('Box jumps')->id);
        ExerciseRepository::findByName('Double Kettlebells Thrusters')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Kettlebell Sumo Deadlift High Pull')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Front Rack Lunge')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Front Rack Lunge')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Atlas Stone Ground to Shoulder')->equipment()->attach(EquipmentRepository::findByName('Stone')->id);
        ExerciseRepository::findByName('Dumbbell Hang Clean and Jerks')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Weighted Sit-Up')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Weighted Sit-Up')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Rope Climb Legless')->equipment()->attach(EquipmentRepository::findByName('Climbing rope')->id);
        ExerciseRepository::findByName('Man Maker')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Chin-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Chin-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Sledge Hammer Strike')->equipment()->attach(EquipmentRepository::findByName('Hammer')->id);
        ExerciseRepository::findByName('Jerk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('One Arm Kettlebell Row')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Weighted run')->equipment()->attach(EquipmentRepository::findByName('Vest')->id);
        ExerciseRepository::findByName('Double Kettlebell Snatch')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Parallette Handstand push-up')->equipment()->attach(EquipmentRepository::findByName('Parallettes')->id);
        ExerciseRepository::findByName('Medicine-Ball Clean')->equipment()->attach(EquipmentRepository::findByName('Medicine Ball')->id);
        ExerciseRepository::findByName('Alternating dumbbell snatches')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Muscle Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Muscle Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Body row')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Power Clean and Jerk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Ring Row')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Ring Row')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Ring Row')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Dumbbell Deadlifts')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Ring L-Sit')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Jumping Pull-up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Jumping Pull-up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Double Kettlebell Deadlift')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Kettlebell Sumo Deadlift')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Dumbbell Press')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Dumbbell Burpee Deadlifts')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Hang Squat Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Hang Squat Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Single-arm Dumbbell Overhead Squat')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Cluster')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Cluster')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Double Kettlebell Swing')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Yoke Carry')->equipment()->attach(EquipmentRepository::findByName('Yoke')->id);
        ExerciseRepository::findByName('Dumbbell Push Jerk')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Ring Pull Ups')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Dumbbell Hang Squat Clean')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Burpee Bar Muscle-up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Box Step Ups')->equipment()->attach(EquipmentRepository::findByName('Box jumps')->id);
        ExerciseRepository::findByName('Dumbbell Lunge')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Dumbbell squats')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Sumo Deadlift')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Kipping Bar Muscle-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Kipping Bar Muscle-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Dumbbell Squat Snatch')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Burpee Muscle-Up')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Single-arm Dumbbell Overhead Lunge')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Dumbbell Clean')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Ring Hand Stand Push Up')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Kettlebell High Pull')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('One arm Kettlebell Press')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Weighted Bar Dips')->equipment()->attach(EquipmentRepository::findByName('Dips')->id);
        ExerciseRepository::findByName('Floor Press')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Muscle Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Muscle Clean')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Strict Ring Dip')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Alternating Kettlebell Shoulder Press')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Dumbbell Squat Clean')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Overhead Walk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Overhead Walk')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Ring Chest Fly')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Double Whip Smash Battling Ropes')->equipment()->attach(EquipmentRepository::findByName('Battle rope')->id);
        ExerciseRepository::findByName('One Arm Kettlebell Thruster')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Clean To Overhead Press')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Two Arm KettleBell Row')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Toes-to-rings')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Atlas Stone Carry')->equipment()->attach(EquipmentRepository::findByName('Stone')->id);
        ExerciseRepository::findByName('Right-arm Overhead Walking Lunges')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Snatch Balance')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Snatch Balance')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('XPO Trainer Sled Push')->equipment()->attach(EquipmentRepository::findByName('Sled')->id);
        ExerciseRepository::findByName('Dumbbell box step-ups')->equipment()->attach(EquipmentRepository::findByName('Box jumps')->id);
        ExerciseRepository::findByName('Dumbbell box step-ups')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Sled Drag')->equipment()->attach(EquipmentRepository::findByName('Sled')->id);
        ExerciseRepository::findByName('Hang Squat Snatch')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Dumbbell Power Clean')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Triple-Unders')->equipment()->attach(EquipmentRepository::findByName('Skipping rope')->id);
        ExerciseRepository::findByName('Left-arm Overhead Walking Lunges')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Dumbbell Waiters Walk')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Axle Deadlift')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Alternating floor press')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Dumbbell Hang Split Snatch')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Battling Rope')->equipment()->attach(EquipmentRepository::findByName('Battle rope')->id);
        ExerciseRepository::findByName('Tire Throw')->equipment()->attach(EquipmentRepository::findByName('Tire')->id);
        ExerciseRepository::findByName('Sled Push')->equipment()->attach(EquipmentRepository::findByName('Sled')->id);
        ExerciseRepository::findByName('Dip Bar L-Sit')->equipment()->attach(EquipmentRepository::findByName('Dips')->id);
        ExerciseRepository::findByName('Dip Bar L-Sit')->equipment()->attach(EquipmentRepository::findByName('Parallettes')->id);
        ExerciseRepository::findByName('Tire Pull')->equipment()->attach(EquipmentRepository::findByName('Tire')->id);
        ExerciseRepository::findByName('Kettlebell Halo')->equipment()->attach(EquipmentRepository::findByName('Kettlebell')->id);
        ExerciseRepository::findByName('Split Jerk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Hanging Hip Touches')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Hanging Hip Touches')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Clean Pull')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Atlas Stone Over')->equipment()->attach(EquipmentRepository::findByName('Stone')->id);
        ExerciseRepository::findByName('Handstand Ring Push-Up')->equipment()->attach(EquipmentRepository::findByName('Gymnastic rings')->id);
        ExerciseRepository::findByName('Right Arm Dumbbell Snatch')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Snatch Pull')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Towel Pull-up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Towel Pull-up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Left Arm Dumbbell Snatch')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Clean Extension')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Curtis Ps')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('L-Sit Rope Climb')->equipment()->attach(EquipmentRepository::findByName('Climbing rope')->id);
        ExerciseRepository::findByName('Axel Thruster')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Dumbbell Split Clean')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Jumping Chest To Bar Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Jumping Chest To Bar Pull-Up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
        ExerciseRepository::findByName('Squat Jerk')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Rack Pulls')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Barbell Sit-Up')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Barbell Sit-Up')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Prowler push')->equipment()->attach(EquipmentRepository::findByName('Sled')->id);
        ExerciseRepository::findByName('Pressing Snatch Balance')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Pressing Snatch Balance')->equipment()->attach(EquipmentRepository::findByName('Barbell plate')->id);
        ExerciseRepository::findByName('Atlas Stone Lunges')->equipment()->attach(EquipmentRepository::findByName('Stone')->id);
        ExerciseRepository::findByName('XPO Trainer Sled Drag')->equipment()->attach(EquipmentRepository::findByName('Sled')->id);
        ExerciseRepository::findByName('Log Clean Press')->equipment()->attach(EquipmentRepository::findByName('Log')->id);
        ExerciseRepository::findByName('Romanian Deadlift')->equipment()->attach(EquipmentRepository::findByName('Barbell')->id);
        ExerciseRepository::findByName('Medicine-Ball Step-Up')->equipment()->attach(EquipmentRepository::findByName('Medicine Ball')->id);
        ExerciseRepository::findByName('Dumbbell Front Rack Lunge')->equipment()->attach(EquipmentRepository::findByName('Dumbbell')->id);
        ExerciseRepository::findByName('Jumping Chin-up')->equipment()->attach(EquipmentRepository::findByName('Pull-up bar')->id);
        ExerciseRepository::findByName('Jumping Chin-up')->equipment()->attach(EquipmentRepository::findByName('Racks')->id);
    }
}
